// Copyright (C) 2024 Philipp Hofer
//
// Licensed under the EUPL, Version 1.2 or - as soon they will be approved by
// the European Commission - subsequent versions of the EUPL (the "Licence").
// You may not use this work except in compliance with the Licence.
//
// You should have received a copy of the European Union Public License along
// with this program.  If not, you may obtain a copy of the Licence at:
// <https://joinup.ec.europa.eu/software/page/eupl>
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the Licence is distributed on an "AS IS" basis,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the Licence for the specific language governing permissions and
// limitations under the Licence.

mod config;
pub use config::Config;

mod misc;
pub use misc::clear_cache;
pub use misc::Error;
use serde::Deserialize;

pub mod law;
pub mod overview;
pub mod paragraph;

#[derive(Debug, Deserialize)]
pub enum Typ {
    Bund,
    Land(String),
}

fn default_type() -> Typ {
    Typ::Bund
}
